%define pd_version 0.42.5

%define deljoin_revision 1357
%define deljoin_version 0.1.4
%define deljoin_svndate 20101129.130224

Summary: Join a list with delimiter external for Pd
Name: pd-deljoin
Version: %{deljoin_version}
Release: 0.2.svn%{deljoin_revision}%{?dist}
Epoch: 1
License: GPL
Group: Applications/Multimedia
URL: http://puredata.info/Members/thomas/
Source0: deljoin-%{deljoin_version}-svn%{deljoin_revision}.tar.bz2
Source1: pd-deljoin-get-svn
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Requires: pd-extended >= %{pd_version}

BuildRequires: pd-flext-devel

%description
Join a list with delimiter.

%prep
%setup -q -n deljoin-%{version}

%build
# remove all .svn directories
find . -type d -name .svn | xargs %{__rm} -rf

# go and build
bash %{_libdir}/flext/build.sh pd gcc SHARED=true

%install
%{__rm} -rf %{buildroot}

# install the external
bash %{_libdir}/flext/build.sh pd gcc SHARED=true install INSTPATH=%{buildroot}%{_libdir}/pd-extended/extra

# and the help file
mkdir -p %{buildroot}%{_libdir}/pd-extended/doc/5.reference/deljoin
install -m 0644 deljoin-help.pd %{buildroot}%{_libdir}/pd-extended/doc/5.reference/deljoin/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/pd-extended/extra/deljoin.pd_linux
%{_libdir}/pd-extended/doc/5.reference/deljoin

%changelog
* Mon Nov 29 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1:0.1.4-0.2.svn1357
- build for fc14 and x86_64

* Thu Jul 23 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1:0.1.4-0.1.svn1357
- initial build, used to be part of pd-extended
